# Class: c3.Plot.Layer.Region

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer

## Overview

TODO: Implement this layer type

Render a rectangular region in an XY Plot Chart.

### Author:

- Douglas Armstrong

## Variables Summary

type =

      'region'

### Variable inherited from c3.Plot.Layer

version type _next_uid data name class static_data h v x y options handlers restyle

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer

#init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input